# Apache
```

RewriteEngine On
RewriteCond %{REQUEST_FILENAME} !-d
RewriteCond %{REQUEST_FILENAME} !-f
RewriteRule ^(([A-Za-z0-9\-]+/)*[A-Za-z0-9\-]+)?$ $1.php
```

# Nginx
```
server {
    listen  80;
    root /var/www/html;
    location / {
        try_files $uri $uri.html $uri/ @extensionless-php;
        index index.html index.htm index.php;
    }

    
    location ~ ^/.+\.php(/|$) {
        fastcgi_pass php_djarez:9000;
        include fastcgi_params;
        fastcgi_param SCRIPT_FILENAME $document_root$fastcgi_script_name;
    }

    location @extensionless-php {
        rewrite ^(.*)$ $1.php last;
    }
}
```
